Update Product Variant Metafields
Updates a product variant Metafield.
Required Fields:
- none
Read-Only Fields
- id
- These fields can only be modified by the app (API credentials) that created the metafield:
- namespace
- key
- permission_set
Usage Notes
- Attempting to modify
namespace,key, andpermission_setfields using a client ID different from the one used to create those metafields will result in a 403 error message.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.
The ID of the Metafield.
Headers
The MIME type of the response body.
Request
The name of the field, for example: location_id, color. Required for POST.
The value of the field, for example: 1, blue. You must enter a JSON formatted string for ShipperHQ metafields. Required for POST.
Determines the visibility and writeability of the field by other API consumers.